package de.intevation.flys.importer;

import java.sql.SQLException;
import java.util.ArrayList;
import java.util.List;

import de.intevation.flys.model.WaterlevelDifference;

import org.apache.log4j.Logger;

/**
 * This Model class does not have a representive hibernated version,
 * as it is in transition to be remoed.
 */
public class ImportWaterlevelDifference {

    private static final Logger log = Logger
        .getLogger(ImportWaterlevelDifference.class);

    private ImportUnit unit;

    private String description;

    private List<ImportWaterlevelDifferenceColumn> columns;

    private WaterlevelDifference peer;

    public ImportWaterlevelDifference(String description) {
        this.columns = new ArrayList<ImportWaterlevelDifferenceColumn>();

        this.description = description;
    }

    public void setUnit(ImportUnit unit) {
        this.unit = unit;
    }

    public ImportUnit getUnit() {
        return unit;
    }

    public String getDescription() {
        return description;
    }

    public List<ImportWaterlevelDifferenceColumn> getColumns() {
        return columns;
    }

    public void addValue(ImportWaterlevelDifferenceColumn column) {
        this.columns.add(column);
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
